<template>
  <!-- 船运计费详单页面 -->
  <div class="purchaseOrder">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="btnclick">
        生成途损费账单
      </el-button>
    </div>
    <dilTable v-bind.sync="option"  @radio-change="currentRadioChange">
      <!-- <el-table-column fixed="right" label="操作" width="100"> -->
        <!-- <template slot-scope="scope">
          <el-button @click="click(scope.row.pathId)" type="text" size="small"
            >编辑</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.pathId)"
            >删除</el-button
          >
        </template> -->
      <!-- </el-table-column> -->
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "purchaseOrder",
  data() {
    return {
      input:"",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/bms/getBatch?apiId=115",
        // 控制显示当选列
        selectionType: "radio",
        map:{},
      },
    };
  },
  methods: {
    currentRadioChange(row) {
      this.map=row
      console.log(row);
    },
    onclick() {
      this.option.requestUrl = "/api/v1/bms/getBatch?apiId=115&con="+this.input;
    },
    btnclick() {
      this.$confirm("是否生成", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
         
      this.axios.post("/api/v1/bms/addLossStatement",this.map)
                  .then((res) => {
                    var  num = res.data.data;
                    console.log(num,"num");
                    if( num > 0){
                       this.$message({
                          type: "success",
                          message: "生成账单成功!",
                        });
                    }else{
                       this.$message({
                          type: "warning",
                          message: "未产生途损费用!",
                        });
                    }
              this.$router.go(-1);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消生成!",
          });
        });
      // this.$router.push("/path/addHomeworkPath/");
    },
  },
};
</script>
<style lang='scss' scoped>
.purchaseOrder {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>